Subject: Re: bug#44609: closed (Re: bug#44609: 12.3.1; auctex.el does not (provide 'auctex), which breaks use-package)

From: Vladimir Nikishkin <[email-masked]>
Date: Fri, 13 Nov 2020 18:22:00 +0800

The response doesn't seem connected to the bug report in any sense.

--
Yours sincerely, Vladimir Nikishkin
(Sent with Google mail mobile.)

GNU bug Tracking System <[email-masked]> 于 2020年11月13日周五 18:18写道：

> Your bug report
>
> #44609: 12.3.1; auctex.el does not (provide 'auctex), which breaks
> use-package
>
> which was filed against the auctex package, has been closed.
>
> The explanation is attached below, along with your original report.
> If you require more details, please reply to [email-masked].
>
> --
> 44609: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44609
> GNU Bug Tracking System
> Contact [email-masked] with problems
>
>
>
> ---------- Forwarded message ----------
> From: "Mosè Giordano" <[email-masked]>
> To: Vladimir Nikishkin <[email-masked]>
> Cc: [email-masked]
> Bcc:
> Date: Fri, 13 Nov 2020 10:16:19 +0000
> Subject: Re: bug#44609: 12.3.1; auctex.el does not (provide 'auctex),
> which breaks use-package
> Hi Vladimir,
>
> did you read the README.md of `use-package'?  It actually has an
> example about AUCTeX:
>
> https://github.com/jwiegley/use-package/blob/caa92f1d64fc25480551757d854b4b49981dfa6b/README.md#package-installation
>
> > If you need to install a different package from the one named by
> use-package, you can specify it like this:
>
>     (use-package tex
>       :ensure auctex)
>
> Bye,
> Mosè
>
>
> On Fri, 13 Nov 2020 at 02:09, Vladimir Nikishkin <[email-masked]>
> wrote:
> >
> >
> > Dear AUCTeX developers.
> > I am using use-package to keep the init.el decently structured.
> > It is typical for package files to (provide) a feature that has the same
> > name as the name of the package itself.
> > For example, it helps with dependency tracking.
> >
> > E.g. you would say "Only load auctex-latexmk after 'auctex has been
> > loaded".
> > Could something like `(provide 'auctex)' be added to the auctex.el?
> >
> > Yours sincerely,
> > Vladimir
> >
> > Emacs  : GNU Emacs 27.1 (build 1, x86_64-slackware-linux-gnu, GTK+
> Version 3.24.22)
> >  of 2020-08-12
> > Package: 12.3.1
> >
> > current state:
> > ==============
> > (setq
> >  AUCTeX-date "2020-10-22"
> >  window-system 'x
> >  LaTeX-version "2e"
> >  TeX-style-path '("~/.emacs.d/auctex"
> "/home/lockywolf/.emacs.d/elpa/auctex-12.3.1/style"
> >                   "/home/lockywolf/.emacs.d/auctex/auto"
> >                   "/home/lockywolf/.emacs.d/auctex/style" "auto" "style")
> >  TeX-auto-save nil
> >  TeX-parse-self nil
> >  TeX-master t
> >  TeX-command-list '(("LatexMk" "latexmk %(-PDF)%S%(mode)
> %(file-line-error) %(extraopts) %t"
> >                      TeX-run-latexmk nil (plain-tex-mode latex-mode
> doctex-mode) :help
> >                      "Run LatexMk")
> >                     ("TeX"
> >                      "%(PDF)%(tex) %(file-line-error) %`%(extraopts)
> %S%(PDFout)%(mode)%' %t"
> >                      TeX-run-TeX nil (plain-tex-mode ams-tex-mode
> texinfo-mode) :help
> >                      "Run plain TeX")
> >                     ("LaTeX" "%`%l%(mode)%' %T" TeX-run-TeX nil
> (latex-mode doctex-mode)
> >                      :help "Run LaTeX")
> >                     ("Makeinfo" "makeinfo %(extraopts) %t"
> TeX-run-compile nil
> >                      (texinfo-mode) :help "Run Makeinfo with Info
> output")
> >                     ("Makeinfo HTML" "makeinfo %(extraopts) --html %t"
> TeX-run-compile nil
> >                      (texinfo-mode) :help "Run Makeinfo with HTML
> output")
> >                     ("AmSTeX" "amstex %(PDFout) %`%(extraopts)
> %S%(mode)%' %t" TeX-run-TeX
> >                      nil (ams-tex-mode) :help "Run AMSTeX")
> >                     ("ConTeXt" "%(cntxcom) --once --texutil %(extraopts)
> %(execopts)%t"
> >                      TeX-run-TeX nil (context-mode) :help "Run ConTeXt
> once")
> >                     ("ConTeXt Full" "%(cntxcom) %(extraopts)
> %(execopts)%t" TeX-run-TeX nil
> >                      (context-mode) :help "Run ConTeXt until completion")
> >                     ("BibTeX" "bibtex %s" TeX-run-BibTeX nil
> >                      (plain-tex-mode latex-mode doctex-mode ams-tex-mode
> texinfo-mode
> >                       context-mode)
> >                      :help "Run BibTeX")
> >                     ("Biber" "biber %s" TeX-run-Biber nil
> >                      (plain-tex-mode latex-mode doctex-mode ams-tex-mode
> texinfo-mode) :help
> >                      "Run Biber")
> >                     ("View" "%V" TeX-run-discard-or-function t t :help
> "Run Viewer")
> >                     ("Print" "%p" TeX-run-command t t :help "Print the
> file")
> >                     ("Queue" "%q" TeX-run-background nil t :help "View
> the printer queue"
> >                      :visible TeX-queue-command)
> >                     ("File" "%(o?)dvips %d -o %f " TeX-run-dvips t
> >                      (plain-tex-mode latex-mode doctex-mode ams-tex-mode
> texinfo-mode) :help
> >                      "Generate PostScript file")
> >                     ("Dvips" "%(o?)dvips %d -o %f " TeX-run-dvips nil
> >                      (plain-tex-mode latex-mode doctex-mode ams-tex-mode
> texinfo-mode) :help
> >                      "Convert DVI file to PostScript")
> >                     ("Dvipdfmx" "dvipdfmx %d" TeX-run-dvipdfmx nil
> >                      (plain-tex-mode latex-mode doctex-mode ams-tex-mode
> texinfo-mode) :help
> >                      "Convert DVI file to PDF with dvipdfmx")
> >                     ("Ps2pdf" "ps2pdf %f" TeX-run-ps2pdf nil
> >                      (plain-tex-mode latex-mode doctex-mode ams-tex-mode
> texinfo-mode) :help
> >                      "Convert PostScript file to PDF")
> >                     ("Glossaries" "makeglossaries %s" TeX-run-command nil
> >                      (plain-tex-mode latex-mode doctex-mode ams-tex-mode
> texinfo-mode) :help
> >                      "Run makeglossaries to create glossary\n     file")
> >                     ("Index" "makeindex %s" TeX-run-index nil
> >                      (plain-tex-mode latex-mode doctex-mode ams-tex-mode
> texinfo-mode) :help
> >                      "Run makeindex to create index file")
> >                     ("upMendex" "upmendex %s" TeX-run-index t
> >                      (plain-tex-mode latex-mode doctex-mode ams-tex-mode
> texinfo-mode) :help
> >                      "Run upmendex to create index file")
> >                     ("Xindy" "texindy %s" TeX-run-command nil
> >                      (plain-tex-mode latex-mode doctex-mode ams-tex-mode
> texinfo-mode) :help
> >                      "Run xindy to create index file")
> >                     ("Check" "lacheck %s" TeX-run-compile nil
> (latex-mode) :help
> >                      "Check LaTeX file for correctness")
> >                     ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil
> (latex-mode) :help
> >                      "Check LaTeX file for common mistakes")
> >                     ("Spell" "(TeX-ispell-document \"\")"
> TeX-run-function nil t :help
> >                      "Spell-check the document")
> >                     ("Clean" "TeX-clean" TeX-run-function nil t :help
> >                      "Delete generated intermediate files")
> >                     ("Clean All" "(TeX-clean t)" TeX-run-function nil t
> :help
> >                      "Delete generated intermediate and output files")
> >                     ("Other" "" TeX-run-command t t :help "Run an
> arbitrary command"))
> >  )
> > --
> > Vladimir Nikishkin (MiEr, lockywolf)
> > (Laptop)
> >
> >
> >
> > _______________________________________________
> > bug-auctex mailing list
> > [email-masked]
> > https://lists.gnu.org/mailman/listinfo/bug-auctex
>
>
>
>
> ---------- Forwarded message ----------
> From: Vladimir Nikishkin <[email-masked]>
> To: [email-masked]
> Cc:
> Bcc:
> Date: Fri, 13 Nov 2020 10:07:55 +0800
> Subject: 12.3.1; auctex.el does not (provide 'auctex), which breaks
> use-package
>
> Dear AUCTeX developers.
> I am using use-package to keep the init.el decently structured.
> It is typical for package files to (provide) a feature that has the same
> name as the name of the package itself.
> For example, it helps with dependency tracking.
>
> E.g. you would say "Only load auctex-latexmk after 'auctex has been
> loaded".
> Could something like `(provide 'auctex)' be added to the auctex.el?
>
> Yours sincerely,
> Vladimir
>
> Emacs  : GNU Emacs 27.1 (build 1, x86_64-slackware-linux-gnu, GTK+ Version
> 3.24.22)
>  of 2020-08-12
> Package: 12.3.1
>
> current state:
> ==============
> (setq
>  AUCTeX-date "2020-10-22"
>  window-system 'x
>  LaTeX-version "2e"
>  TeX-style-path '("~/.emacs.d/auctex"
> "/home/lockywolf/.emacs.d/elpa/auctex-12.3.1/style"
>                   "/home/lockywolf/.emacs.d/auctex/auto"
>                   "/home/lockywolf/.emacs.d/auctex/style" "auto" "style")
>  TeX-auto-save nil
>  TeX-parse-self nil
>  TeX-master t
>  TeX-command-list '(("LatexMk" "latexmk %(-PDF)%S%(mode)
> %(file-line-error) %(extraopts) %t"
>                      TeX-run-latexmk nil (plain-tex-mode latex-mode
> doctex-mode) :help
>                      "Run LatexMk")
>                     ("TeX"
>                      "%(PDF)%(tex) %(file-line-error) %`%(extraopts)
> %S%(PDFout)%(mode)%' %t"
>                      TeX-run-TeX nil (plain-tex-mode ams-tex-mode
> texinfo-mode) :help
>                      "Run plain TeX")
>                     ("LaTeX" "%`%l%(mode)%' %T" TeX-run-TeX nil
> (latex-mode doctex-mode)
>                      :help "Run LaTeX")
>                     ("Makeinfo" "makeinfo %(extraopts) %t" TeX-run-compile
> nil
>                      (texinfo-mode) :help "Run Makeinfo with Info output")
>                     ("Makeinfo HTML" "makeinfo %(extraopts) --html %t"
> TeX-run-compile nil
>                      (texinfo-mode) :help "Run Makeinfo with HTML output")
>                     ("AmSTeX" "amstex %(PDFout) %`%(extraopts) %S%(mode)%'
> %t" TeX-run-TeX
>                      nil (ams-tex-mode) :help "Run AMSTeX")
>                     ("ConTeXt" "%(cntxcom) --once --texutil %(extraopts)
> %(execopts)%t"
>                      TeX-run-TeX nil (context-mode) :help "Run ConTeXt
> once")
>                     ("ConTeXt Full" "%(cntxcom) %(extraopts)
> %(execopts)%t" TeX-run-TeX nil
>                      (context-mode) :help "Run ConTeXt until completion")
>                     ("BibTeX" "bibtex %s" TeX-run-BibTeX nil
>                      (plain-tex-mode latex-mode doctex-mode ams-tex-mode
> texinfo-mode
>                       context-mode)
>                      :help "Run BibTeX")
>                     ("Biber" "biber %s" TeX-run-Biber nil
>                      (plain-tex-mode latex-mode doctex-mode ams-tex-mode
> texinfo-mode) :help
>                      "Run Biber")
>                     ("View" "%V" TeX-run-discard-or-function t t :help
> "Run Viewer")
>                     ("Print" "%p" TeX-run-command t t :help "Print the
> file")
>                     ("Queue" "%q" TeX-run-background nil t :help "View the
> printer queue"
>                      :visible TeX-queue-command)
>                     ("File" "%(o?)dvips %d -o %f " TeX-run-dvips t
>                      (plain-tex-mode latex-mode doctex-mode ams-tex-mode
> texinfo-mode) :help
>                      "Generate PostScript file")
>                     ("Dvips" "%(o?)dvips %d -o %f " TeX-run-dvips nil
>                      (plain-tex-mode latex-mode doctex-mode ams-tex-mode
> texinfo-mode) :help
>                      "Convert DVI file to PostScript")
>                     ("Dvipdfmx" "dvipdfmx %d" TeX-run-dvipdfmx nil
>                      (plain-tex-mode latex-mode doctex-mode ams-tex-mode
> texinfo-mode) :help
>                      "Convert DVI file to PDF with dvipdfmx")
>                     ("Ps2pdf" "ps2pdf %f" TeX-run-ps2pdf nil
>                      (plain-tex-mode latex-mode doctex-mode ams-tex-mode
> texinfo-mode) :help
>                      "Convert PostScript file to PDF")
>                     ("Glossaries" "makeglossaries %s" TeX-run-command nil
>                      (plain-tex-mode latex-mode doctex-mode ams-tex-mode
> texinfo-mode) :help
>                      "Run makeglossaries to create glossary\n     file")
>                     ("Index" "makeindex %s" TeX-run-index nil
>                      (plain-tex-mode latex-mode doctex-mode ams-tex-mode
> texinfo-mode) :help
>                      "Run makeindex to create index file")
>                     ("upMendex" "upmendex %s" TeX-run-index t
>                      (plain-tex-mode latex-mode doctex-mode ams-tex-mode
> texinfo-mode) :help
>                      "Run upmendex to create index file")
>                     ("Xindy" "texindy %s" TeX-run-command nil
>                      (plain-tex-mode latex-mode doctex-mode ams-tex-mode
> texinfo-mode) :help
>                      "Run xindy to create index file")
>                     ("Check" "lacheck %s" TeX-run-compile nil (latex-mode)
> :help
>                      "Check LaTeX file for correctness")
>                     ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil
> (latex-mode) :help
>                      "Check LaTeX file for common mistakes")
>                     ("Spell" "(TeX-ispell-document \"\")" TeX-run-function
> nil t :help
>                      "Spell-check the document")
>                     ("Clean" "TeX-clean" TeX-run-function nil t :help
>                      "Delete generated intermediate files")
>                     ("Clean All" "(TeX-clean t)" TeX-run-function nil t
> :help
>                      "Delete generated intermediate and output files")
>                     ("Other" "" TeX-run-command t t :help "Run an
> arbitrary command"))
>  )
> --
> Vladimir Nikishkin (MiEr, lockywolf)
> (Laptop)
>
>
>